Altibase.jdbc.driver

## Enum AltibaseFailover.CallbackState

- java.lang.Object
- - java.lang.Enum<AltibaseFailover.CallbackState>
  - - Altibase.jdbc.driver.AltibaseFailover.CallbackState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AltibaseFailover.CallbackState>

Enclosing class:
  AltibaseFailover

    public static enum AltibaseFailover.CallbackState
    extends java.lang.Enum<AltibaseFailover.CallbackState>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IN_PROGRESS`
`STOPPED`

### Method Summary

All Methods Static Methods Concrete Methods
`static AltibaseFailover.CallbackState` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AltibaseFailover.CallbackState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STOPPED

    public static final AltibaseFailover.CallbackState STOPPED

#### IN_PROGRESS

    public static final AltibaseFailover.CallbackState IN_PROGRESS

### Method Detail

#### values

    public static AltibaseFailover.CallbackState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AltibaseFailover.CallbackState c : AltibaseFailover.CallbackState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AltibaseFailover.CallbackState valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null